Bug 910 - Grub2 not has string to enable hibernation
: Grub2 not has string to enable hibernation
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: 2012 Desktop Beta2
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 15:03 MSD by Aleksandr Kazantcev
Modified: 2012-10-20 00:23 MSD (History)
1 user (show)

See Also:
RPM Package: Grub2
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2012-10-14 15:03:01 MSD
Thince using Grub2 in Desktop 2012 Hibernate options was disappear from logout/exit menu. For return hibernation we need patch /etc/grub.d/10_linux and 

Replace


linux  ${rel_dirname}/${basename} root=${linux_root_device_thisversion} ro ${args}

with this

linux  ${rel_dirname}/${basename} root=${linux_root_device_thisversion} ro ${args} resume=`swapon -s | grep '/dev/sd.[0-9]' -o` 

Also i think we need add (this is not check, but will be) string

init=/lib/systemd/systemd in command line after resume options.

In sum we will have string

linux  ${rel_dirname}/${basename} root=${linux_root_device_thisversion} ro ${args} resume=`swapon -s | grep '/dev/sd.[0-9]' -o` init=/lib/systemd/systemd
Comment 1 Alexander Burmashev 2012-10-17 17:42:12 MSD
should also be fixed
Comment 2 Aleksandr Kazantcev 2012-10-20 00:23:25 MSD
Fixed in latest grub2 package.